<!DOCTYPE html>
<html lang="ru" th:lang="${#locale.language}" xmlns:th="http://www.thymeleaf.org">
<head th:replace="fragments/head :: head">
    <title th:text="#{main.site}">Библиотека (Spring Boot)</title>
</head>
<body>
<header th:replace="fragments/header :: header"></header>

<main class="container">
    <h1 th:text="#{admin.users.table.name}">Пользователи</h1>
    <table class="table">
        <thead>
        <tr>
            <th scope="col">#</th>
            <th th:text="#{admin.users.table.user.first.name}" scope="col">Имя</th>
            <th th:text="#{admin.users.table.user.last.name}" scope="col">Фамилия</th>
            <th th:text="#{admin.users.table.user.login}" scope="col">Логин</th>
            <th th:text="#{admin.users.table.user.enabled}" scope="col">Статус</th>
            <th th:text="#{admin.users.table.user.enabled.change}" scope="col">Изменить статус</th>
        </tr>
        </thead>
        <tbody>
        <tr th:each="user : ${users}">
            <th th:text="${userStat.count}" scope="row">1</th>
            <td th:text="${user.firstName}">Ксения</td>
            <td th:text="${user.lastName}">Морозова</td>
            <td th:text="${user.login}">kseniia_morozova</td>
            <td th:text="#{|admin.users.table.user.enabled.${user.enabled}|}">Активен</td>
            <td>
                <form th:action="@{/admin}" method="post">
                    <input type="hidden" id="user_id" name="user_id" th:value="${user.id}">
                    <input type="hidden" id="enabled" name="enabled" th:value="${!user.enabled}">
                    <button type="submit" class="btn btn-outline-primary btn-sm"
                            th:text="#{|admin.users.table.user.enabled.change.${user.enabled}|}">Заказать
                    </button>
                </form>
            </td>
        </tr>
        </tbody>
    </table>
</main>

<footer th:replace="fragments/footer :: footer"></footer>
</body>
</html>
